#include <iostream>
#include <cmath>
using namespace std;
int main()
{
    int p,q,r,L,R,k=0,z;
    cin>>p>>q>>r>>L>>R;
    for(int i=L;i<=R;i++)
    {
        double u1=i*1.0/p*1.0;
        double u2=i*1.0/q*1.0;
        double u3=i*1.0/r*1.0;
        z=ceil(u1) + ceil(u2) + ceil(u3);
        if(z<=i)
            k++;
    }
    cout<<k;
    return 0;

}